/*
CopyRights  2020/7/18
           机械工程学院
           机械电子工程专业
           17级机械电子工程2班盛梓茂
           《基于arduino和esp8266的智能家居的设计》
           arduino nano部分代码
AllRights Reserved
*/
#include<SD.h>
#include<SPI.h>
#include<dht11.h>    //测温度和湿度
#include<MsTimer2.h>
#include<math.h>
#include<LiquidCrystal_I2C.h>               // lcd点亮显示数
#include<math.h>
#define tempGet A0                             //温湿度传感器接口
#define Aout A1                                //有毒传感器接收口
#define clockLed 9                           //时间响应口 ,亮灯口
#define timeinterval 60                     //设置时间间隔，即每过多长时间闹钟闹一次（把闹钟用小灯代替） 
#define lightLed A2                            //室外光线读取口
#define homeLight 8                           //大厅的灯为A3口
#define pinCS  10 // Pin 10 on Arduino Uno     //CS口
#define jidianqi A3
#define timeinterval2 4                     //存储时间间隔4s
int RECV_PIN = 7; 
//IRrecv irrecv(RECV_PIN);
//decode_results results;
dht11 DHT11;    
File myFile;                                //文件定义
LiquidCrystal_I2C lcd(0x27,16,2);                  
/*int SDA = A4;                                
int SCL = A5;*/
struct ss                                      //温湿度变量
{
  float temperature;
  float humidity; 
}result;
static int lastConnectionTime = millis()/1000;
static int lastConnectionTime2 = millis()/1000;
float gasvalue;
float value_balance = 80;
int pinBuzzer = 3;
void setup() {
  // put your setup code here, to run once:
      Serial.begin(9600);
      pinMode(pinCS, OUTPUT);
      pinMode(lightLed,INPUT);
      pinMode(homeLight,OUTPUT);
      pinMode(Aout,INPUT);
      pinMode(clockLed,OUTPUT);
      pinMode(pinBuzzer,OUTPUT);
      pinMode(RECV_PIN,INPUT);
      lcd.begin(16,2);
      lcd.setBacklight(HIGH);
}
void loop(){
  int Keytemp = 0;               //存储按键值
     alarmClock();           //时间到了就触发中断自动响铃 ？如何让程序在相邻的同时还亮灯有毒气体电压数值
     result  = getTemh();   //读取温度和湿度值
     gasvalue = gasValue();  //读取有毒气体电压
     if(gasvalue>value_balance)//电压超过50警报3秒  //有毒气体报警器
    {
      police();
     // digitalWrite(2,HIGH);
    //  delay(3000);
      analogWrite(jidianqi,1020);
      }
    else
     {
      analogWrite(jidianqi,100);
   
     saveSD(result.temperature,result.humidity,gasvalue);   //保存到sd卡
     
     serialShow();          //串口显时 
     lcdShownumber();  
}
